<div class="poi-list-container">
  <div class="poi-list-container-content">
    <span class="poi-name">{{ title }}</span>
    <div class="distance-container" *ngIf="distance">
      <lib-general-icon
        [size]="iconFontSize.small"
        [name]="getDistanceIcon(distance)"
        [color]="iconColor.mainForeground"
      ></lib-general-icon>
      <span class="distance">{{ distance | distanceFormat }}</span>
    </div>
  </div>
  <div class="icon-container">
    <lib-general-icon
      name="arrow_forward_ios"
      [type]="iconType.materialSymbolsOutlined"
      [size]="iconFontSize.xLarge"
      [color]="iconColor.mainForeground"
    >
    </lib-general-icon>
  </div>
</div>
